summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentnl@gentoo.org>2017-05-22 07:59:33 +1200
committerKent Fredric <kentnl@gentoo.org>2017-05-22 09:57:58 +1200
commit4774bcb66f9c81deaede6b3d298b57fa81facd97 (patch)
tree3cfe5fd685f828c704c84a6991bd9d540ffc7dce
parentapp-arch/lzop: Fix building with GCC-6 (diff)
downloadgentoo-4774bcb66f9c81deaede6b3d298b57fa81facd97.tar.gz
gentoo-4774bcb66f9c81deaede6b3d298b57fa81facd97.tar.bz2
gentoo-4774bcb66f9c81deaede6b3d298b57fa81facd97.zip
dev-perl/Config-Any: Bump to version 0.320.0
- Enumerate more deps into USE flags Upstream: - Improve module loading - Handle unsupported Config::General versions better - Improve diagnostics for test failures. - Less strict error message tests Keywords: - New dep Config-Tiny -> drops ~arm Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--dev-perl/Config-Any/Config-Any-0.320.0.ebuild54
-rw-r--r--dev-perl/Config-Any/Manifest1
-rw-r--r--dev-perl/Config-Any/metadata.xml4
3 files changed, 59 insertions, 0 deletions
diff --git a/dev-perl/Config-Any/Config-Any-0.320.0.ebuild b/dev-perl/Config-Any/Config-Any-0.320.0.ebuild
new file mode 100644
index 000000000000..332604380f5e
--- /dev/null
+++ b/dev-perl/Config-Any/Config-Any-0.320.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=HAARG
+DIST_VERSION=0.32
+inherit perl-module
+
+DESCRIPTION="Load configuration from different file formats, transparently"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~ppc-aix"
+IUSE="test +conf +ini +json +xml +yaml"
+
+RDEPEND="
+ >=dev-perl/Module-Pluggable-3.600.0
+ conf? (
+ >=dev-perl/Config-General-2.470.0
+ )
+ !conf? (
+ !<dev-perl/config-general-2.470.0
+ !<dev-perl/Config-General-2.470.0
+ )
+ ini? (
+ dev-perl/Config-Tiny
+ )
+ json? (
+ || (
+ dev-perl/Cpanel-JSON-XS
+ dev-perl/JSON-MaybeXS
+ dev-perl/JSON-XS
+ >=virtual/perl-JSON-PP-2
+ dev-perl/JSON
+ )
+ )
+ xml? (
+ dev-perl/XML-NamespaceSupport
+ dev-perl/XML-Simple
+ )
+ yaml? (
+ || (
+ dev-perl/YAML-LibYAML
+ >=dev-perl/YAML-Syck-0.700.0
+ dev-perl/YAML
+ )
+ )
+"
+DEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ test? (
+ virtual/perl-Test-Simple
+ )
+"
diff --git a/dev-perl/Config-Any/Manifest b/dev-perl/Config-Any/Manifest
index 2a21b0886554..f3b2016eb3d1 100644
--- a/dev-perl/Config-Any/Manifest
+++ b/dev-perl/Config-Any/Manifest
@@ -1,2 +1,3 @@
DIST Config-Any-0.29.tar.gz 22124 SHA256 5793cba5b2c3620d4f466fd1fcb81dbbd43c5aa23116fe0f10b93ce2f95381a9 SHA512 4c9e9aeca0e21ab50a26ed319298430f95783e5f93577cac59da1d791334c9bcc8d4c19194080697fad2be99b0b426a538196a8a9de2f6eec5a5a015d00f9cbb WHIRLPOOL 5a60fdfc6d4caa41f0eeb431d51eccd51ebd6e9afcf10c4194d9e99a5d23a7cd36a6aecd81acc280647c69d9c33c0e3f5c92b47d6d3d2e0d0e94668c2c87e5c1
DIST Config-Any-0.30.tar.gz 20026 SHA256 257e29ff52fcfdd3f9a1d8deb6c63d18d32c4257ab8f2c090164528fd0a23cc0 SHA512 798165360ff5dd0af2d7720f6b4372dc4fc7eba464fbb8635606aa9d16a86e88f91dcaf22ba3dc4aba52303b695391acb2540f7eac97223af69064b6322b600d WHIRLPOOL 7ee371c9e9bf360b0f0be52abd5c0245e2d04d1bca884a676b17e32fa6cd982d3e0dddf4d169ab8184fd0b1b9d8c45838fa961f2334ce5bf40349dc8651a6408
+DIST Config-Any-0.32.tar.gz 21045 SHA256 68da2a5cf25faedd4d24cf3d0d570995c199d5b950108a2de78d40deced36150 SHA512 7c6fa9f341b1392ffd71babca688e3fb8bcd5f6330fe15aefb36ac002af83ed3674667dcddd9a500404bc4e019609f392c173653a8a792267fdb609e9323116c WHIRLPOOL ef7b725fbbfa693c7a30e92bf50a507a7292d6d6ed8cfbf74cf74a2bc3a7d512c6aaa2f188b7ca775c7cbcabb459b284c2abe7f62449e74b881327d488f8287c
diff --git a/dev-perl/Config-Any/metadata.xml b/dev-perl/Config-Any/metadata.xml
index d7d84c3b221e..99321bca116a 100644
--- a/dev-perl/Config-Any/metadata.xml
+++ b/dev-perl/Config-Any/metadata.xml
@@ -6,7 +6,11 @@
<name>Gentoo Perl Project</name>
</maintainer>
<use>
+ <flag name="conf">Install <pkg>dev-perl/Config-General</pkg> to support decoding .conf/.cnf files</flag>
+ <flag name="ini">Install <pkg>dev-perl/Config-Tiny</pkg> to support decoding INI config files</flag>
<flag name="json">Install support libraries to support decoding JSON config files</flag>
+ <flag name="xml">Install support libraries to support decoding XML config files</flag>
+ <flag name="yaml">Install support libraries to support decoding YAML config files</flag>
</use>
<upstream>
<remote-id type="cpan">Config-Any</remote-id>